<script setup lang="ts">

</script>

<template>
    <header class="navbar">
        <nav class="topnav" id="myTopnav">

            <div class="main-logo routes">
                <span class="grid-container">
                    <img src="../imgs/eld_logo.svg" alt="Dashboard logo" class="fa-icon">
                    <div>
                        <span>Equity Landscape </span>
                        <span>Dashboard</span>
                    </div>
                </span>
            </div>
            <RouterLink to="/" class="routes">
                <span class="grid-container">
                    <font-awesome-icon icon="home" class="fa-icon" />
                    <div>
                        <span>Home &amp;</span>
                        <span>Onboarding</span>
                    </div>
                </span>

            </RouterLink>
            <RouterLink to="/engagement-domains" class="routes">
                <span class="grid-container">
                    <font-awesome-icon icon="flag" class="fa-icon" />
                    <div>
                        <span>Engagement</span>
                        <span>Domains</span>
                    </div>
                </span>
            </RouterLink>
            <RouterLink to="/presence-and-growth" class="routes">
                <span class="grid-container">
                    <font-awesome-icon icon="chart-line" class="fa-icon" />
                    <div>
                        <span>Presence &amp;</span>
                        <span>Growth</span>
                    </div>
                </span>
            </RouterLink>
            <RouterLink to="/affiliates-overview" class="routes">
                <span class="grid-container">
                    <font-awesome-icon icon="atom" class="fa-icon" />
                    <div>
                        <span>Affiliates</span>
                        <span>Overview</span>
                    </div>
                </span>
            </RouterLink>
            <RouterLink to="/projects-and-languages" class="routes">
                <span class="grid-container">
                    <font-awesome-icon icon="language" class="fa-icon" />
                    <div>
                        <span>Projects &amp;</span>
                        <span>Languages</span>
                    </div>
                </span>
            </RouterLink>
        </nav>
    </header>
</template>

<style scoped lang="scss">
@import '@/scss/header.scss'
</style>
